%define git_url git://anongit.freedesktop.org/xkeyboard-config

Summary:	XKB data files
Name:		xkeyboard-config
Epoch:		1
Version:	2.19
Release:	2
License:	MIT
Group:		Development/X11
Url:		http://www.freedesktop.org/wiki/Software/XKeyboardConfig
Source0:	http://www.x.org/releases/individual/data/xkeyboard-config/xkeyboard-config-%{version}.tar.bz2

# Re-enable Ctrl-Alt-Backspace (zapping) by default
Patch9:		xkeyboard-config-2.19-Enable-zapping-by-default.patch
# Breton keyboard
Patch12:	xkeyboard-config-2.19-breton-support.patch
# Update to Ilya Birman's typographic layout
Patch15:	xkeyboard-config-2.19-birman-typo-layout-v3.patch

BuildRequires:	glib-gettextize
BuildRequires:	intltool
BuildRequires:	perl-XML-Parser
BuildRequires:	x11-util-macros
BuildRequires:	xkbcomp
# For the mab page
BuildRequires:	xsltproc
# https://qa.mandriva.com/show_bug.cgi?id=44052
BuildRequires:	gettext-devel
BuildRequires:	x11-proto-devel
BuildRequires:	pkgconfig(x11)
BuildArch:	noarch

Provides:	x11-data-xkbdata = %{EVRD}
Obsoletes:	x11-data-xkbdata < %{EVRD}

%description
Xkeyboard-config provides consistent, well-structured, frequently released of X
keyboard configuration data (XKB) for various X Window System implementations.

%files -f %{name}.lang
%dir %{_datadir}/X11/xkb/
%attr(1777,root,root) %dir %{_localstatedir}/lib/xkb
%{_datadir}/X11/xkb/*
%{_datadir}/pkgconfig/xkeyboard-config.pc
%{_mandir}/man7/xkeyboard-config.7.*

%pre
# this was a directory in the old installation
if [ -d "%{_datadir}/X11/xkb/compiled" ]; then
	rm -rf %{_datadir}/X11/xkb/compiled
fi

#----------------------------------------------------------------------------

%prep
%setup -q
%apply_patches


%build
AUTOPOINT="intltoolize --automake --copy" autoreconf -fvi

# config.sub does not understand noarch-unknown-linux-gnu arch.
# https://abf.rosalinux.ru/current/automake/commit/17363ea547d721eef00eae3613e30ebd2b02b021
%configure2_5x \
	--build=i586-%{_target_vendor}-%{_target_os}%{?_gnu} \
	--enable-compat-rules \
	--with-xkb-base=%{_datadir}/X11/xkb \
	--with-xkb-rules-symlink=xorg \
	--disable-runtime-deps

%make

%install
%makeinstall_std

mkdir -p %{buildroot}%{_localstatedir}/lib/xkb
#need this symlink for xkb to work (Mdv bug #34195)
ln -snf %{_localstatedir}/lib/xkb %{buildroot}%{_datadir}/X11/xkb/compiled

%find_lang %{name}

%changelog

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:2.19-2
- (58488f1) MassBuild#1169: Increase release tag


